=== debian/changelog ===
flobopuyo (0.20-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Change source format to 3.0 (qulit)
    - Use quilt instead of simple-patchsys from cdbs.
  * Bump debhelper version to 9. (Closes: #965523)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 12 Dec 2022 01:59:50 +0800

flobopuyo (0.20-5) unstable; urgency=low

  * Fix "FTBFS with binutils-gold" (Closes: #554359).
    Thanks Fabrice Coutadeur <fabricesp@ubuntu.com> for the patch!
  * Standards-Version: 3.9.1.
     + Add Homepage field.
  * debian/copyright: Minor updates, fix typos.
  * 80_fix_typo.patch: Fix a typo to silence lintian.

 -- Uwe Hermann <uwe@debian.org>  Sun, 13 Mar 2011 22:40:09 +0100

flobopuyo (0.20-4) unstable; urgency=low

  * Acknowledge NMU, thanks Chris Lamb (Closes: #478378).
  * Re-enable audio, thanks Takeshi Hamasaki (Closes: #512321).
  * Set proper window title, thanks Takeshi Hamasaki (Closes: #537352).

 -- Uwe Hermann <uwe@debian.org>  Mon, 29 Nov 2010 15:49:14 +0100

flobopuyo (0.20-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix bashisms in debian/rules (Closes: #478378)
  * Bump Standards-Version to 3.8.0

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 07 Jun 2008 16:48:14 +0100

flobopuyo (0.20-3) unstable; urgency=low

  * The "lazy bastard" release.
  * Acknowledge NMU, thanks Martin Michlmayr (Closes: #356878).
  * Switch to cdbs (+ debhelper 5).
  * Add new icon for flobopuyo (thanks Ubuntu!) + sharutils build-dependency.
  * debian/menu:
     + Move game to section Games/Blocks.
     + Changed title: s/flobopuyo/FloboPuyo/.
     + Use new icon.
  * debian/watch: Add file.
  * Drop manpage from debian/, it's shipped upstream now.
  * Drop left-over patch file.
  * Standards-Version: 3.7.3 (no changes required).
  * Add .desktop file (Closes: #409866).
  * Honor DEB_BUILD_OPTIONS=nostrip option (Closes: #436843).

 -- Uwe Hermann <uwe@debian.org>  Tue, 15 Apr 2008 17:16:07 +0200

flobopuyo (0.20-2.1) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * Remove extra qualification from C++ header file (Closes: #356878).

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 25 May 2006 23:08:25 +0200

flobopuyo (0.20-2) unstable; urgency=low

  * Recompile for the C++ transition.
  * Standards-Version: 3.6.2.0 (no changes required).
  * debian/copyright: Cosmetic changes.

 -- Uwe Hermann <uwe@debian.org>  Sun, 16 Oct 2005 04:29:46 +0200

flobopuyo (0.20-1) unstable; urgency=low

  * New upstream release.
  * The new release comes with a Makefile flag for turning DGA on/off.
    By default it's off, so we can now run as non-root (Closes: #271446).
  * Applied patch by Andreas Jochens which fixes a compile error on
    amd64 with gcc-4.0 (Closes: #289218).

 -- Uwe Hermann <uwe@debian.org>  Fri,  4 Mar 2005 16:53:54 +0100

flobopuyo (0.13-1) unstable; urgency=low

  * Initial Release (Closes: #267615).
  * I wrote and added a manpage, as there was none upstream.

 -- Uwe Hermann <uwe@debian.org>  Tue,  7 Sep 2004 00:13:24 +0200
