=== debian/control ===
Source: flobopuyo
Section: games
Priority: optional
Maintainer: Uwe Hermann <uwe@debian.org>
Build-Depends: cdbs, debhelper (>= 9), libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl1.2-dev, flex, bison, sharutils
Standards-Version: 3.9.1
Homepage: http://www.fovea.cc/flobopuyo-en

Package: flobopuyo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Clone of the PuyoPuyo game
 The goal of FloboPuyo is to make groups of four or more Puyos (coloured
 bubbles) to make them explode and send bad ghost Puyos to your opponent.
 You win the game if your opponent reaches the top of the board. You can
 play against computer or another human.
