=== debian/rules ===
#!/usr/bin/make -f
  
DEB_INSTALL_MANPAGES_flobopuyo := man/flobopuyo.6

DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/flobopuyo

CFLAGS = -DUSE_AUDIO=1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

binary-post-install/flobopuyo::
	cp debian/flobopuyo.desktop debian/flobopuyo/usr/share/applications
	uudecode debian/flobopuyo.png.uuencode
	cp debian/flobopuyo.xpm debian/flobopuyo.png debian/flobopuyo/usr/share/pixmaps	
	# Remove ._bi crap to silence lintian.
	rm -f debian/flobopuyo/usr/share/games/flobopuyo/sfx/._bi

clean::
	rm -f debian/flobopuyo.png
