=== debian/watch ===
version=3
http://www.ios-software.com/flobopuyo/flobopuyo-(.*)\.tgz
